--[[
	Securely moves the Panel windows down below Skinner.TopFrame
]]

local self = Skinner

self:Hook("UpdateUIPanelPositions", function(currentFrame)
	if self.db.profile.TopFrame.shown then
		local topOffset = -self.db.profile.TopFrame.height
--		self:Debug("UpdUIPPosn: [%s, %s, %s]", topOffset, UIParent:GetAttribute("TOP_OFFSET"), currentFrame)
		if topOffset < UIParent:GetAttribute("TOP_OFFSET") then 
			UIParent:SetAttribute("TOP_OFFSET", topOffset)
		end
	end
	self.hooks.UpdateUIPanelPositions(currentFrame)
	end, true)
